namespace YGNT.QuestionLibrary.EntityFrameworkCore.Seed
{
    public class InitialBuilder
    {
        private readonly QuestionLibraryDbContext _context;

        public InitialBuilder(QuestionLibraryDbContext context)
        {
            _context = context;
        }

        public void Create()
        {
            new DefaultPaperStructureSettingCreator(_context).Create();
            new QuestionTypeCreator(_context).Create();
            _context.SaveChanges();
        }
    }
}